/*
 *
 *
 */
#ifndef __COMMANDS_H__
#define __COMMANDS_H__

#define CMDPROMPT "(sim) "
#define MAXCMDLEN 100

typedef struct {
  char *name;                   /* User printable name of the function. */
  Function *func;               /* Function to call to do the job. */
  char *doc;                    /* Documentation for this function.  */
} cmd_t;

int initrl(void);
extern char *xmalloc();
char * dupstr (char *s);
char *cmdgenerator(char *text, int state);
char **cmdcomplete(char *text, int start, int end);
char *stripwhite (char *string);
int cmdexec(char *line);

int cmd_help(char *arg);
int cmd_exit(char *arg);
int cmd_bdmasrc(char *);
int cmd_dumpdm(char *);
int cmd_dumppm(char *);
int cmd_step(char *);
int cmd_jump(char *);
int cmd_call(char *);
int cmd_setreg(char *);

#endif /* __COMMANDS_H__ */
