/*
 *
 *
 */
#ifndef __PROFILER_H__
#define __PROFILER_H__

inline void prof_start(void);
inline void prof_end(void);
long prof_gettime(void);

/*
 * Select where you want to profile.  ONLY ONE AT A TIME!! 
 */
/* fetch+decode+execution */
#define uPROF_FETCHDECODE
/* decode+execution */
#define uPROF_DECODE
/* full IRQ (from push to ISR exectution to pop (in rti)) */
#define uPROF_IRQ
/* firing (first-stage, from fire to ISR only) IRQ only */
#define uPROF_IRQFIRE 

#endif /* __PROFILER_H__ */
